# Retrieve a Received Debit

Retrieves a single ReceivedDebit by ID.

## Returns

## Response attributes

- `id` (string)
  Unique identifier for the ReceivedDebit.

- `object` (string, value is "v2.money_management.received_debit")
  String representing the object’s type. Objects of the same type share the same value of the object field.

- `amount` (object)
  Amount and currency of the ReceivedDebit.

  - `amount.currency` (enum)
    Three-letter [ISO currency code](https://www.iso.org/iso-4217-currency-codes.html), in lowercase. Must be a [supported currency](https://docs.stripe.com/currencies.md).

  - `amount.value` (integer)
    A non-negative integer representing how much to charge in the [smallest currency unit](https://docs.stripe.com/currencies.md#minor-units).

- `bank_transfer` (object, nullable)
  This object stores details about the originating banking transaction that resulted in the ReceivedDebit. Present if `type` field value is `bank_transfer`.

  - `bank_transfer.financial_address` (string)
    The Financial Address that was debited.

  - `bank_transfer.payment_method_type` (enum)
    The type of the payment method used to originate the debit.
Possible enum values:
    - `us_bank_account`
      The debit was originated from a US Bank Account.

  - `bank_transfer.statement_descriptor` (string, nullable)
    The statement descriptor set by the originator of the debit.

  - `bank_transfer.us_bank_account` (object)
    The payment method used to originate the debit.

    - `bank_transfer.us_bank_account.bank_name` (string, nullable)
      The name of the bank the debit originated from.

    - `bank_transfer.us_bank_account.network` (enum)
      The bank network the debit was originated on.
Possible enum values:
      - `ach`
        Funds received via ACH (Automated Clearing House) network.

    - `bank_transfer.us_bank_account.routing_number` (string, nullable)
      The routing number of the bank that originated the debit.

- `created` (timestamp)
  The time at which the ReceivedDebit was created. Represented as a RFC 3339 date & time UTC value in millisecond precision, for example: `2022-09-18T13:22:18.123Z`.

- `description` (string, nullable)
  Freeform string sent by the originator of the ReceivedDebit.

- `financial_account` (string)
  Financial Account on which funds for ReceivedDebit were debited.

- `livemode` (boolean)
  Has the value `true` if the object exists in live mode or the value `false` if the object exists in test mode.

- `receipt_url` (string, nullable)
  A link to the Stripe-hosted receipt for this ReceivedDebit.

- `status` (enum)
  The status of the ReceivedDebit.
Possible enum values:
  - `canceled`
    The ReceivedDebit was canceled and the balance has been adjusted.

  - `failed`
    The ReceivedDebit was rejected by Stripe and funds don’t change existing balance. More details why it failed can be obtained from `status_details`.

  - `pending`
    The ReceivedDebit is still being processed.

  - `returned`
    The ReceivedDebit was returned from the originator bank and the balance has been adjusted accordingly.

  - `succeeded`
    The ReceivedDebit was successfully processed and balance reflects the withdrawn funds. Note that this is not a terminal state. The ReceivedDebit status may transition to `returned` even after `succeeded`.

- `status_details` (object, nullable)
  Detailed information about the status of the ReceivedDebit.

  - `status_details.failed` (object)
    Information that elaborates on the `failed` status of a ReceivedDebit. It is only present when the ReceivedDebit status is `failed`.

    - `status_details.failed.reason` (enum)
      The reason for the failure of the ReceivedDebit.
Possible enum values:
      - `financial_address_inactive`
        Funds rejected because the associated Financial Address has been archived.

      - `insufficient_funds`
        Funds rejected due to insufficient funds on balance.

      - `stripe_rejected`
        Funds were rejected Stripe.

- `status_transitions` (object, nullable)
  The time at which the ReceivedDebit transitioned to a particular status.

  - `status_transitions.canceled_at` (timestamp, nullable)
    The time when the ReceivedDebit was marked as `canceled`. Represented as a RFC 3339 date & time UTC value in millisecond precision, for example: `2022-09-18T13:22:18.123Z`.

  - `status_transitions.failed_at` (timestamp, nullable)
    The time when the ReceivedDebit was marked as `failed`. Represented as a RFC 3339 date & time UTC value in millisecond precision, for example: `2022-09-18T13:22:18.123Z`.

  - `status_transitions.succeeded_at` (timestamp, nullable)
    The time when the ReceivedDebit was marked as `succeeded`. Represented as a RFC 3339 date & time UTC value in millisecond precision, for example: `2022-09-18T13:22:18.123Z`.

- `type` (enum)
  The type of the ReceivedDebit.
Possible enum values:
  - `bank_transfer`
    The ReceivedDebit is the result of an bank transfer.

  - `external_debit`
    Replaced by BANK_TRANSFER, kept for backwards compatibility.

## Error Codes

| HTTP status code | Code      | Description                |
| ---------------- | --------- | -------------------------- |
| 404              | not_found | The resource wasn’t found. |

```curl
curl https://api.stripe.com/v2/money_management/received_debits/rd_test_61PIoVqwBhv9ka9wC16PITSVZ3SQ2qpWK2k4kS9loWDo \
  -H "Authorization: Bearer <<YOUR_SECRET_KEY>>" \
  -H "Stripe-Version: 2026-03-25.preview"
```

### Response

```json
{
  "id": "rd_test_61PIoVqwBhv9ka9wC16PITSVZ3SQ2qpWK2k4kS9loWDo",
  "object": "v2.money_management.received_debit",
  "amount": {
    "value": 55,
    "currency": "usd"
  },
  "created": "2023-11-06T11:01:26.155Z",
  "description": "ACCTVERIFY",
  "financial_account": "fa_test_65PIoVY8QWjXEgwaibT16PITSVZ3SQ2qpWK2k4kS9loJCK",
  "receipt_url": "https://payments.stripe.com/transaction_receipt/CCMQARojCiF3a3NwX3Rlc3RfNlBJVFNWWjNTUTJxcFdLMms0a1M5bG8osJGjqgYyBlCBssNJPDpFlMRJIX8eJhbfPGVgqFw4oOmpp3COHbLKGzjRWAayQfKXUHSmoeS_VZTkCI9thg4KQHQUKGXSq5XRO06x44xrmFQCcRT6",
  "status": "succeeded",
  "status_details": null,
  "status_transitions": {
    "failed_at": null,
    "succeeded_at": "2023-11-06T11:01:26.155Z"
  },
  "type": "bank_transfer",
  "livemode": false
}
```
